import Crypto from '@/utils/chatCrypto'

// 秘钥，转换成utf8格式字符串，用于加密解密，一般长度是16位（由后端提供）
const key = Crypto.enc.Utf8.parse('qw5w6SFE2D1jmxyd')
// 偏移量，转换成utf8格式字符串，一般长度是16位(由后端提供)
const iv = Crypto.enc.Utf8.parse('345GDFED433223DF')

// 加密（使用CBC模式）
export default function Encrypt(value) {
	// 使用外部包中的AES的加密方法
	// value(加密内容)、key(密钥)
	let encrypt = Crypto.AES.encrypt(value, key, {
		iv, // 偏移量
		mode: Crypto.mode.CBC, // 模式（五种加密模式）
		padding: Crypto.pad.Pkcs7 // 填充
	})
	// 将加密的内容转成字符串返回出去
	return encrypt.toString()
}
